Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodesetnodevaluenomodificationallowederrEE Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodesetnodevaluenomodificationallowederrEE (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "setNodeValue(nodeValue)" method causes the DOMException NO_MODIFICATION_ALLOWED_ERR to be raised if the node is readonly.

Create an entity reference and execute the "setNodeValue(nodeValue)" method. This causes a NO_MODIFICATION_ALLOWED_ERR DOMException to be thrown.

Author:
  Curt Arnold

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-258A00AF')/constant[@name='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68D080 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-F68D080')/setraises/exception[@name='DOMException']/descr/p[substring-before(.,':')='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68D080 , http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodesetnodevaluenomodificationallowederr.xml

Definition at line 47 of file nodesetnodevaluenomodificationallowederrEE.java.

## Constructor & Destructor Documentation

nodesetnodevaluenomodificationallowederrEE::nodesetnodevaluenomodificationallowederrEE | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 49 of file nodesetnodevaluenomodificationallowederrEE.java.
    00050  {
    00051       super(factory);
    00052
    00053    }

## Member Function Documentation

String nodesetnodevaluenomodificationallowederrEE::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 76 of file nodesetnodevaluenomodificationallowederrEE.java.
    00076                                 {
    00077       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodesetnodevaluenomodificationallowederrEE";
    00078    }

void nodesetnodevaluenomodificationallowederrEE::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 79 of file nodesetnodevaluenomodificationallowederrEE.java. References DOMTestCase::doMain().
    00079                                           {
    00080         DOMTestCase.doMain(nodesetnodevaluenomodificationallowederrEE.class,args);
    00081    }

void nodesetnodevaluenomodificationallowederrEE::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 55 of file nodesetnodevaluenomodificationallowederrEE.java. References DOMTestCase::assertTrue(), and DOMTest::load().
    00055                                                     {
    00056       Document doc;
    00057       EntityReference entRef;
    00058       CharacterData entText;
    00059       doc = load("staff");
    00060       entRef = doc.createEntityReference("ent3");
    00061       entText = (CharacterData)entRef.getFirstChild();
    00062
    00063         {
    00064                 boolean success = false;
    00065                 try {
    00066                         entText.setNodeValue("newValue");
    00067
    00068                 }
    00069                 catch(DOMException ex) {
    00070                         success = (ex.code == DOMException.NO_MODIFICATION_ALLOWED_ERR);
    00071                 }
    00072                 assertTrue("throw_NO_MODIFICATION_ALLOWED_ERR",success);
    00073         }
    00074
    00075    }

The documentation for this class was generated from the following file:

- nodesetnodevaluenomodificationallowederrEE.java